c
c Axial profiles - 
c
      dimension z(190),c(190)
      real lmc,lvf,hmc(10,3),gmc(10,3),gvf(10,3),nc(3),
     /            x(190),y(190),w(190)
      character *6 file,diam(3)
      data diam/'0.0048','0.00140','0.00300'/
      open(1,file='flist')
      open(2,file='paxil.out')
      write(2,4)
4     format('  d      h       Inspect      Ldndz')
      nc=0
1     read(1,2,end=1000)file      
2     format(a6)
      open(3,file=file//'.dat')
      read(3,*)n,d,hmi,hma,ami,ama,acmi,acma,h,scl
      naa=0
      do i=1,n
         read(3,*)rs,zs,cs,b
         if(rs.eq.0.)then
            naa=naa+1
            z(naa)=zs*scl
            c(naa)=cs/b
         endif
      enddo
      na=2
      z1=0
      z2=0
      c1=0
      c2=0
      do i=1,na
         cl=alog(c(i))
         z1=z1+z(i)
         z2=z2+z(i)**2
         c1=c1+cl
         c2=c2+cl*z(i)
      enddo
      det=na*z2-z1**2
      lmc=-det/(na*c2-c1*z1)
      r2=(d/(2*h))**2
      dndz=r2/(h*(1+r2)*(sqrt(1+r2)-1))+15
      lvf=1/dndz
      write(2,3)d,h,lmc,lvf
3     format(2f7.4,2e10.3)
      if(d.eq.0.0048)then
         id=1
      elseif(d.eq.0.014)then
         id=2
      else
         id=3
      endif
      nc(id)=nc(id)+1
      gmc(nc(id),id)=lmc
      gvf(nc(id),id)=lvf
      hmc(nc(id),id)=h
      goto 1
1000  write(*,*)nc
      do ig=1,3
        ng=nc(ig)
        do i=1,ng
          write(*,*)hmc(i,ig),gmc(i,ig),gvf(i,ig)
        enddo
      enddo
      call gmfin
      call gmfont(2,'h16w9rb   ')
      call gmfste(1,0.,1.,0.,1.,alog10(1e-3),alog10(0.03),0.,0.03)
      call gmfsyl('h [m]',5,'L [m]',5)
      call gmfaxe(1,5,0)
      do ig=1,3
        if(ig.eq.1)then
           d=0.0048
        elseif(ig.eq.2)then
           d=0.014
        else
           d=0.03
        endif
        ng=nc(ig)
        do i=1,ng
          x(i)=alog10(hmc(i,ig))
          y(i)=gvf(i,ig)
          w(i)=gmc(i,ig)
        enddo
        dh=0.06/90
        do i=1,190
          h=dh*i
          r2=(d/(2*h))**2
          dndz=r2/(h*(1+r2)*(sqrt(1+r2)-1))+15
          y(i)=1/dndz
          z(i)=alog10(h)
        enddo
        call gmfpl(190,z,y,16)
        call gmfdash(ng,x,w,10+ig,alog10(50.),0.02,50)
        do j=1,nc(ig)
          call gmfmrk(x(j),w(j),19+ig)
        enddo
        call gmfmrk(z(1),y(1),9+ig)
        call gmftext(z(1)-.25,y(1),16,6,diam(ig))          
      enddo
      call gmfend
      end


