c
c comparing two files POINLnn.OUT
c
      dimension h(200),d(200),dvf(200,2),dsr(200,2),hef(200,2),
     /          hd(200),x(200),y(200),isel(200),xl(200),yl(200),
     /          xg(2),yg(2)
      character *8 file(200),text,texr
      character *12 ilist,flist(2),ftext(2)
      character *5 ytext(4)
      character *1 fc,tc
      dimension iv(5)
      common /scom/iss(50)
      equivalence (iv(1),norm),(iv(2),text),(iv(4),hmin),(iv(5),iplot)
      data ytext/'Hef/H','Errs%','ErVF%','ErSR%'/
      data ilist/'poinl*.out  '/
      data ftext/'First file  ','Second file '/
      norm=1
      text='tc?????w'
      iplot=1
      call scomin(0)
1000  do ifil=1,2
        call sclear
        call scdark(31)
        call minpf(0,ftext(ifil),12,10,10,ilist,12,9,30,10,
     /                              flist(ifil),12,ires)
        if(ires.gt.0)then
          open(1,file=flist(ifil))
        else
          stop
        endif
        ndat=1
1       do inorm=1,4
           read(1,2,end=100,err=100)texr,devs,hefs
2          format(a8,9x,f7.2,f10.5)
           read(1,3)dsrs,h(ndat),acol,a
3          format(17x,f7.2,f10.5,f14.2,f10.2)
           if(inorm.eq.norm)then
              dvf(ndat,ifil)=devs
              hef(ndat,ifil)=hefs
              dsr(ndat,ifil)=dsrs
           endif
        enddo
        file(ndat)=texr
        read(texr,5,err=100)ids
5       format(4x,i2)
        if(ids.eq.5)then
           d(ndat)=0.0048
        else
           d(ndat)=ids*0.001
        endif
        hd(ndat)=h(ndat)/d(ndat)
        ndat=ndat+1
        goto 1
100     ndat=ndat-1
      enddo
      if(ndat.le.2)then
         write(*,*)' Number of data points is only',ndat
         write(*,*)' Data in point.out cannot contain tcexp...'
      endif
101   call sclear
      call scdark(31)
      call minpv(0,flist,24,5,10,
     /' File: @2a8     (F1-new file)                           '//
     /' Norm: @1i4 1,2,3,4  (applied to new file only)         '//
     /' Plot: @5i4 1-(VF+SR),  2-(VF),  3-(SR)  0-Hef/H        '//
     /' Hmin: @4f8.3   [m] (only data for H>Hmin are selected) ',
     /4,14,iv)
      if(iss(13).eq.27)then
          call sclear
          stop
      elseif(iss(13).eq.59)then
          goto1000
      endif
      if1=1
      if2=2
      select case(iplot)
      case(0)
        if1=2
        if2=2
        ipl1=1
        ipl2=1
      case(1)
        ipl1=1
        ipl2=2
      case(2)
        ipl1=1
        ipl2=1
      case(3)
        ipl1=2
        ipl2=2
      end select
c
      nsel=0
      do i=1,ndat
         if(hmin.ge.h(i))goto 104
         write(*,*)text,file(i)
         do j=1,8
           tc=text(j:j)
           fc=file(i)(j:j)
           if(tc.eq.'*')goto 103
           if(tc.ne.'?'.and.tc.ne.fc)goto 104
         enddo
103      nsel=nsel+1
         isel(nsel)=i
104   enddo
      if(nsel.le.0)goto 101
      xmin=0.
      xmax=10.
      ymin=0.
      ymax=1.5
106   do igra=1,2
      call gmfin
      call gmfont(2,'h18w9rb    ')
      call gmfste(1,0.,1.,0.,1.,xmin,xmax,ymin,ymax)
      call gmfsyl('H/D',3,ytext(iplot+1),5)
      call gmfaxe(1,7,0)
      yg(1)=1
      yg(2)=1
      xg(1)=xmin
      xg(2)=xmax
      call gmfdash(2,xg,yg,14,xmax-xmin,ymax-ymin,50)
c a/a axis
      call gmfont(2,'h10w5rb    ')
      xmin=1e10
      ymin=1e10
      xmax=0.
      ymax=0.
      do ifile=if1,if2
      do ipl=ipl1,ipl2
        do i=1,nsel
           is=isel(i)
           x(i)=hd(is)
           if(iplot.eq.0)then
              y(i)=hef(is,ifile)/h(is)
           elseif(ipl.eq.1)then
              y(i)=dvf(is,ifile)
           else
              y(i)=dsr(is,ifile)
           endif
           xmin=amin1(xmin,x(i))
           ymin=amin1(ymin,y(i))
           xmax=amax1(xmax,x(i))
           ymax=amax1(ymax,y(i))
           if(d(is).le.0.005)then
              mark=20
           elseif(d(is).le.0.015)then
              mark=21
           else
              mark=10
           endif
           call gmfmrk(x(i),y(i),mark)
           if(y(i).gt.4..and.ifile.eq.1.and.ipl.eq.ipl1)
     /          call gmftext(x(i),y(i),16,8,file(is))
        enddo
        call sort(nsel,x,y)
        if(ipl.eq.1)then
           call gmfpl(nsel,x,y,10+ifile)
        else
           call gmfdash(nsel,x,y,10+ifile,xmax-xmin,ymax-ymin,80)
        endif
        do k=nsel-1,1,-1
           if(x(k).lt.x(nsel))goto 119
        enddo
119     xtt=(x(nsel)+x(k))/2.
        ytt=(y(nsel)+y(k))/2.
        call gmftext(xtt,ytt,10+ifile,8,flist(ifile))
      enddo
      enddo
      enddo
      call gmfont(2,'h14w8rb    ')
      call gmfstf(1,.3,.975,.95,1.,0.,10.,0.,1.2)
      call gmfsw(1)
      call gmfrec(0.,10.,0.,1.2,11)
      call gmfill(1.,1.,0,11)
      call gmftext(.2,.9,16,10,'['//text//']')
      call gmfmrk(4.,1.,20)
      call gmftext(4.,1.,16,7,'D=4.8mm')
      call gmfmrk(6.,1.,21)
      call gmftext(6.,1.,16,6,'D=14mm')
      call gmfmrk(8.,1.,10)
      call gmftext(8.,1.,16,6,'D=30mm')
      call gmfend
c log/log
      call gmfin
      call gmfont(2,'h18w9rb    ')
      call gmfste(1,0.,1.,0.,1.,
     /       alog10(xmin),alog10(xmax),alog10(ymin),alog10(ymax))
      call gmfsyl('H/D',3,ytext(iplot+1),5)
      call gmfaxe(1,4,0)
c log/log axis
      call gmfont(2,'h10w5rb    ')
      do ifile=if1,if2
      do ipl=ipl1,ipl2
        do i=1,nsel
          is=isel(i)
          x(i)=hd(is)
          if(iplot.eq.0)then
             y(i)=hef(is,ifile)/h(is)
          elseif(ipl.eq.1)then
             y(i)=dvf(is,ifile)
          else
             y(i)=dsr(is,ifile)
          endif
          xl(i)=alog10(x(i))
          yl(i)=alog10(y(i))
          if(d(is).le.0.005)then
             mark=20
          elseif(d(is).le.0.015)then
             mark=21
          else
             mark=10
          endif
          call gmfmrk(xl(i),yl(i),mark)
          if(ifile.eq.1.and.ipl.eq.ipl1)
     /          call gmftext(xl(i),yl(i),16,4,file(is)(3:6))
        enddo
        call sort(nsel,xl,yl)
        if(ipl.eq.1)then
          call gmfpl(nsel,xl,yl,10+ifile)
        else
          xmx=alog10(xmax)-alog10(xmin)
          ymx=alog10(ymax)-alog10(ymin)
          call gmfdash(nsel,xl,yl,10+ifile,xmx,ymx,80)
        endif
        do k=nsel-1,1,-1
           if(xl(k).lt.xl(nsel))goto 129
        enddo
129     xtt=(xl(nsel)+xl(k))/2.
        ytt=(yl(nsel)+yl(k))/2.
        call gmftext(xtt,ytt,10+ifile,8,flist(ifile))
      enddo
      enddo
      call gmfont(2,'h14w8rb    ')
      call gmfstf(1,.3,.975,.95,1.,0.,10.,0.,1.2)
      call gmfsw(1)
      call gmfrec(0.,10.,0.,1.2,11)
      call gmfill(1.,1.,0,11)
      call gmftext(.2,.9,16,10,'['//text//']')
      call gmfmrk(4.,1.,20)
      call gmftext(4.,1.,16,7,'D=4.8mm')
      call gmfmrk(6.,1.,21)
      call gmftext(6.,1.,16,6,'D=14mm')
      call gmfmrk(8.,1.,10)
      call gmftext(8.,1.,16,6,'D=30mm')
      call gmfend
      goto 101
      end

      subroutine sort(n,x,y)
      dimension x(1),y(1)
      logical s
1     s=.true.
      do i=1,n-1
        if(x(i).gt.x(i+1))then
           s=.false.
           a=x(i)
           x(i)=x(i+1)
           x(i+1)=a           
           a=y(i)
           y(i)=y(i+1)
           y(i+1)=a
        endif
      enddo
      if(.not.s)goto1
      end

